%global base_name       pool
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          1.6
Release:          %mkrel 5
Summary:          Apache Commons Pool Package
Group:            Development/Java
License:          ASL 2.0
URL:              http://commons.apache.org/%{base_name}/
Source0:          http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-surefire-provider-junit4

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils

# This should go away with F-17
Provides:         jakarta-%{short_name} = 0:%{version}-%{release}
Obsoletes:        jakarta-%{short_name} < 0:1.3-14
Obsoletes:        jakarta-%{short_name}-tomcat5 < 0:1.3-14
Obsoletes:        jakarta-%{short_name}-manual < 0:1.3-14

%description
The goal of Pool package is it to create and maintain an object (instance) 
pooling package to be distributed under the ASF license. The package should 
support a variety of pool implementations, but encourage support of an 
interface that makes these implementations interchangeable.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Development/Java
Requires:         jpackage-utils
# This should go away with F-17
Obsoletes:        jakarta-%{short_name}-javadoc < 0:1.3-14

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src

%build
mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{short_name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
(cd %{buildroot}%{_javadir} && for jar in *%{name}*; do ln -sf ${jar} `echo $jar| sed  "s|apache-||g"`; done)

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.apache.commons:%{short_name}"

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc README.txt LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE.txt NOTICE.txt
%{_javadocdir}/%{name}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6-5.mga4
+ Revision: 534543
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 dmorgan <dmorgan> 1.6-4.mga4
+ Revision: 478219
- Add missing maven-local BR

* Mon Jul 08 2013 dmorgan <dmorgan> 1.6-3.mga4
+ Revision: 451210
- Install NOTICE file with javadoc package

* Fri Jan 11 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 345818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.6-1.mga3
+ Revision: 267907
- New version

* Mon Jun 25 2012 dmorgan <dmorgan> 1.5.6-4.mga3
+ Revision: 263663
- Adapt to new guidelines

* Wed Apr 27 2011 dmorgan <dmorgan> 1.5.6-2.mga1
+ Revision: 92246
- Rebuild after bootstrapping
- imported package apache-commons-pool


* Fri Apr 15 2011 Chris Spike <spike@fedoraproject.org> 1.5.6-1
- Updated to 1.5.6
- Fixed build for maven 3

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-4
- Removed maven* BRs in favour of apache-commons-parent
- Added deprecated groupId to depmap for compatibility reasons

* Mon Oct 18 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-3
- Removed Epoch

* Tue Oct 5 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-2
- Consistently using 'buildroot' macro instead of 'RPM_BUILD_ROOT' now

* Fri Oct 1 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-1
- Rename and rebase from jakarta-commons-pool
